import { IReducerRegistry } from '../interfaces';
import { Reducer } from 'redux';
declare class ReducerRegistry implements IReducerRegistry<any> {
    private _emitChange;
    private _reducers;
    constructor();
    getReducers(): {
        [x: string]: Reducer<any>;
    };
    register(name: any, reducer: any): void;
    setChangeListener(listener: any): void;
}
export { ReducerRegistry };
